Package org.apache.tomcat.util.descriptor.tld

## Class TagFileXml

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TagFileXml

    public class TagFileXml
    extends java.lang.Object

Bare-bone model of a tag file loaded from a TLD. This does not contain the tag-specific attributes that requiring parsing the actual tag file to derive.

### Constructor Summary

Constructors
`TagFileXml()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDisplayName()`
`java.lang.String` `getInfo()`
`java.lang.String` `getLargeIcon()`
`java.lang.String` `getName()`
`java.lang.String` `getPath()`
`java.lang.String` `getSmallIcon()`
`void` `setDisplayName​(java.lang.String displayName)`
`void` `setInfo​(java.lang.String info)`
`void` `setLargeIcon​(java.lang.String largeIcon)`
`void` `setName​(java.lang.String name)`
`void` `setPath​(java.lang.String path)`
`void` `setSmallIcon​(java.lang.String smallIcon)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagFileXml

    public TagFileXml()

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### getPath

    public java.lang.String getPath()

#### setPath

    public void setPath​(java.lang.String path)

#### getDisplayName

    public java.lang.String getDisplayName()

#### setDisplayName

    public void setDisplayName​(java.lang.String displayName)

#### getSmallIcon

    public java.lang.String getSmallIcon()

#### setSmallIcon

    public void setSmallIcon​(java.lang.String smallIcon)

#### getLargeIcon

    public java.lang.String getLargeIcon()

#### setLargeIcon

    public void setLargeIcon​(java.lang.String largeIcon)

#### getInfo

    public java.lang.String getInfo()

#### setInfo

    public void setInfo​(java.lang.String info)